https://prefect.io logo
#prefect-community
Title
# prefect-community
m

Marcin Grzybowski

07/07/2022, 12:10 PM
Hi, i'm trying to run flow locally from ide (vs code) and i got this: what have I done wrong ?
1
when I remove orion.db i get:
Copy code
Traceback (most recent call last):
  File "/mnt/g/src/git/NewBI2/Repository/Main/prefect/venv/lib/python3.9/site-packages/asgi_lifespan/_concurrency/asyncio.py", line 17, in wait
    await self._event.wait()
  File "/usr/lib/python3.9/asyncio/locks.py", line 226, in wait
    await fut
asyncio.exceptions.CancelledError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.9/asyncio/tasks.py", line 492, in wait_for
    fut.result()
asyncio.exceptions.CancelledError

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/mnt/g/src/git/NewBI2/Repository/Main/prefect/venv/lib/python3.9/site-packages/asgi_lifespan/_concurrency/asyncio.py", line 44, in run_and_fail_after
    await asyncio.wait_for(coroutine(), timeout=seconds)
  File "/usr/lib/python3.9/asyncio/tasks.py", line 494, in wait_for
    raise exceptions.TimeoutError() from exc
asyncio.exceptions.TimeoutError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/g/src/git/NewBI2/Repository/Main/prefect/src/process_incremental_flow.py", line 34, in <module>
    process_incremental_flow()
  File "/mnt/g/src/git/NewBI2/Repository/Main/prefect/venv/lib/python3.9/site-packages/prefect/flows.py", line 324, in __call__
    return enter_flow_run_engine_from_flow_call(self, parameters)
  File "/mnt/g/src/git/NewBI2/Repository/Main/prefect/venv/lib/python3.9/site-packages/prefect/engine.py", line 124, in enter_flow_run_engine_from_flow_call
    return anyio.run(begin_run)
  File "/mnt/g/src/git/NewBI2/Repository/Main/prefect/venv/lib/python3.9/site-packages/anyio/_core/_eventloop.py", line 70, in run
    return asynclib.run(func, *args, **backend_options)
  File "/mnt/g/src/git/NewBI2/Repository/Main/prefect/venv/lib/python3.9/site-packages/anyio/_backends/_asyncio.py", line 292, in run
    return native_run(wrapper(), debug=debug)
  File "/usr/lib/python3.9/asyncio/runners.py", line 44, in run
    return loop.run_until_complete(main)
  File "/usr/lib/python3.9/asyncio/base_events.py", line 642, in run_until_complete
    return future.result()
  File "/mnt/g/src/git/NewBI2/Repository/Main/prefect/venv/lib/python3.9/site-packages/anyio/_backends/_asyncio.py", line 287, in wrapper
    return await func(*args)
  File "/mnt/g/src/git/NewBI2/Repository/Main/prefect/venv/lib/python3.9/site-packages/prefect/client.py", line 103, in with_injected_client
    async with client_context as client:
  File "/mnt/g/src/git/NewBI2/Repository/Main/prefect/venv/lib/python3.9/site-packages/prefect/client.py", line 1943, in __aenter__
    self._ephemeral_lifespan = await self._exit_stack.enter_async_context(
  File "/usr/lib/python3.9/contextlib.py", line 556, in enter_async_context
    result = await _cm_type.__aenter__(cm)
  File "/usr/lib/python3.9/contextlib.py", line 175, in __aenter__
    return await self.gen.__anext__()
  File "/mnt/g/src/git/NewBI2/Repository/Main/prefect/venv/lib/python3.9/site-packages/prefect/client.py", line 184, in app_lifespan_context
    await context.__aenter__()
  File "/mnt/g/src/git/NewBI2/Repository/Main/prefect/venv/lib/python3.9/site-packages/asgi_lifespan/_manager.py", line 90, in __aenter__
    await self.startup()
  File "/mnt/g/src/git/NewBI2/Repository/Main/prefect/venv/lib/python3.9/site-packages/asgi_lifespan/_manager.py", line 31, in startup
    await self._concurrency_backend.run_and_fail_after(
  File "/mnt/g/src/git/NewBI2/Repository/Main/prefect/venv/lib/python3.9/site-packages/asgi_lifespan/_concurrency/asyncio.py", line 46, in run_and_fail_after
    raise TimeoutError
TimeoutError
a

Anna Geller

07/07/2022, 12:33 PM
what's your
prefect version
? in the worst case, can you try creating a new conda environment and start orion again?
also make sure to close any browser windows with Orion UI before you delete orion.db and start it again
m

Marcin Grzybowski

07/07/2022, 12:37 PM
2.0b7 I'm using venv, will try to recreate it
a

Anna Geller

07/07/2022, 12:37 PM
nice! I like using Conda because it seems to be more stable with SQLite
so if nothing else works, switching to a Conda venv may be worth trying
m

Marcin Grzybowski

07/07/2022, 12:38 PM
ok, I'll try it, thank you
🙌 1
ok, it was something related to my venv/wsl2/windows restarted machine, reinstalled venv and prefect and it works. Thank you
🙌 1
a

Anna Geller

07/07/2022, 1:53 PM
thanks for the update
5 Views